For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.prepayment_config.get()
Returns JSONRaises HttpResponseError
Description
To retrieve the prepayment configuration and current prepayment status for a customer’s account, send a GET request to /v2/customers/my/prepayment_config.
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
prepayment_config = client.prepayment_config.get()
Response Example
Show Response Example
{
"config": {
"spend_limit": "100.00",
"is_auto_prepay_enabled": true,
"prepay_amount": "50.00",
"prepay_threshold": "10.00",
"created_at": "2026-06-22T19:31:51Z",
"updated_at": "2026-06-25T18:40:07Z"
},
"status": {
"balance": "25.00",
"is_auto_prepay_enabled": true,
"blocked": true,
"eligible": true,
"month_to_date_balance": "75.00"
}
}
See /v2/customers/my/prepayment_config in the API reference for additional detail on responses, headers, parameters, and more.